# PetscBagRegisterEnum

add an enum value to the bag

### Synopsis

    #include "petsc.h"
    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterEnum(PetscBag bag,void *addr,const char **list,PetscEnum mdefault, const char *name, const char* help)

Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| addr | - location of enum in struct
| mdefault | - the initial value
| list | - array of strings containing names of enum values followed by enum name followed by enum prefix
| help | - longer string with more information about the value

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterTruth(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName()

Level:beginner
Location:src/sys/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages